CREATE TABLE lowcode_quartz_job(
    id NUMBER(20) NOT NULL,
    project_id NUMBER(20) NOT NULL,
    job_name VARCHAR2(64) NOT NULL,
    job_group VARCHAR2(64) NOT NULL,
    job_module_code VARCHAR2(128) NOT NULL,
    job_params VARCHAR2(1000),
    execute_cycle VARCHAR2(64) NOT NULL,
    effective_date DATE,
    expiring_date DATE,
    execute_num NUMBER(11) DEFAULT  0,
    misfire_policy VARCHAR2(4) DEFAULT  '0',
    concurrent VARCHAR2(4) DEFAULT  '1',
    status VARCHAR2(4) DEFAULT  '0',
    retry_status VARCHAR2(4) DEFAULT  '1',
    retry_num NUMBER(11) DEFAULT  0,
    retried_num NUMBER(11) DEFAULT  0,
    retry_interval NUMBER(11) DEFAULT  1,
    retry_interval_unit NUMBER(4) DEFAULT  2,
    callback_module_code VARCHAR2(128),
    callback_num NUMBER(11) DEFAULT  0,
    valid NUMBER(4) DEFAULT  0,
    create_user NUMBER(20),
    modified_user NUMBER(20),
    gmt_create DATE,
    gmt_modified DATE,
    PRIMARY KEY (id)
)